Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156660 - texhash should be run in %post
Summary: texhash should be run in %post
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: latex2html
Version: 4
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-02 23:33 UTC by Patrice Dumas
Modified: 2013-07-02 23:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-03 13:54:26 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2005-05-02 23:33:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.7) Gecko/20050416 Fedora/1.0.3-2 Firefox/1.0.3

Description of problem:
After installation, I get an error from latex,
html.sty not found. After I run texhash everything is fine.

I think that texhash should be run in %post.

A workaround is to run 
texhash 
as root just after installing.

Version-Release number of selected component (if applicable):
latex2html-2002.2.1-1

How reproducible:
Always

Steps to Reproduce:
1.install latex2html rpm (maybe on a system where it wasn't before)
2.use the html package \usepackage{html}
3.
  

Actual Results:  An error, like 
Cannot find file `html.sty'

Expected Results:  No error

Additional info:

Comment 1 Jindrich Novy 2005-05-03 13:54:26 UTC
Patrice, thanks for noticing this. I added the texhash call also to the %postun
phase.


Note You need to log in before you can comment on or make changes to this bug.